const del = async ({
  inlineLedgerRunQuery,
  tablePrefix,
  escapeId,
  escapeStr,
  searchToWhereExpression,
  makeNestedPath,
  splitNestedPath
}, readModelName, tableName, searchExpression) => {
  const searchExpr = searchToWhereExpression(searchExpression, escapeId, escapeStr, makeNestedPath, splitNestedPath);
  const inlineSearchExpr = searchExpr.trim() !== '' ? `WHERE ${searchExpr} ` : '';
  await inlineLedgerRunQuery(`DELETE FROM ${escapeId(`${tablePrefix}${tableName}`)}
    ${inlineSearchExpr};`);
};

export default del;
//# sourceMappingURL=delete.js.map