const dropReadModel = async ({
  inlineLedgerRunQuery,
  escapeId
}, readModelName) => {
  const rows = await inlineLedgerRunQuery(`SELECT table_name AS \`tableName\` FROM INFORMATION_SCHEMA.TABLES
    WHERE table_comment LIKE "RESOLVE-${readModelName}"
    AND table_schema=DATABASE();`);

  for (const {
    tableName
  } of rows) {
    await inlineLedgerRunQuery(`DROP TABLE ${escapeId(tableName)};`);
  }
};

export default dropReadModel;
//# sourceMappingURL=drop-read-model.js.map