const destroy = async (pool, options) => {
  const {
    connect,
    disconnect,
    escapeId
  } = pool;
  const admin = {};
  await connect(admin, {
    host: options.host,
    port: options.port,
    user: options.user,
    password: options.password,
    database: 'mysql'
  });
  await admin.inlineLedgerRunQuery(`DROP DATABASE ${escapeId(options.database)}`);
  await disconnect(admin);
};

export default destroy;
//# sourceMappingURL=destroy.js.map