"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const dropReadModel = async ({
  inlineLedgerRunQuery,
  escapeId
}, readModelName) => {
  const rows = await inlineLedgerRunQuery(`SELECT table_name AS \`tableName\` FROM INFORMATION_SCHEMA.TABLES
    WHERE table_comment LIKE "RESOLVE-${readModelName}"
    AND table_schema=DATABASE();`);

  for (const {
    tableName
  } of rows) {
    await inlineLedgerRunQuery(`DROP TABLE ${escapeId(tableName)};`);
  }
};

var _default = dropReadModel;
exports.default = _default;
//# sourceMappingURL=drop-read-model.js.map