"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const destroy = async (pool, options) => {
  const {
    connect,
    disconnect,
    escapeId
  } = pool;
  const admin = {};
  await connect(admin, {
    host: options.host,
    port: options.port,
    user: options.user,
    password: options.password,
    database: 'mysql'
  });
  await admin.inlineLedgerRunQuery(`DROP DATABASE ${escapeId(options.database)}`);
  await disconnect(admin);
};

var _default = destroy;
exports.default = _default;
//# sourceMappingURL=destroy.js.map